@echo off

if exist "%WINDIR%\system32\SYSINFO.OCX" goto doNotCopySysinfo
@echo:
echo copying SYSINFO.OCX
echo ^ (required for running LL_USB2k.EXE)
copy SYSINFO.OCX %WINDIR%\system32\SYSINFO.OCX
copy SYSINFO.oca %WINDIR%\system32\SYSINFO.oca
:doNotCopySysinfo

if exist "%WINDIR%\system32\RICHTX32.OCX" goto doNotCopyRICHTX32
@echo:
echo copying RICHTX32.OCX
echo ^ (required for running LL_USB2k.EXE)
copy RICHTX32.OCX %WINDIR%\system32\RICHTX32.OCX
copy RICHTX32.oca %WINDIR%\system32\RICHTX32.oca
:doNotCopyRICHTX32


if exist "%WINDIR%\system32\mscomctl.ocx" goto doNotCopyMscomctl
@echo:
echo copying mscomctl.ocx
echo ^ (required for running LL_USB2k.EXE)
copy mscomctl.ocx %WINDIR%\system32\mscomctl.ocx
copy mscomctl.oca %WINDIR%\system32\mscomctl.oca
:doNotCopyMscomctl

@echo off
if exist "%WINDIR%\system32\msstdfmt.dll" goto doNotCopyMsstdfmt
@echo:
echo copying msstdfmt.dll
echo ^ (required for running LL_USB2k.EXE)
copy msstdfmt.dll %WINDIR%\system32\msstdfmt.dll
:doNotCopyMsstdfmt

:doNotCopy
@echo off
regsvr32 "%WINDIR%\system32\SYSINFO.OCX"
regsvr32 "%WINDIR%\system32\RICHTX32.OCX"
regsvr32 "%WINDIR%\system32\mscomctl.ocx"
regsvr32 "%WINDIR%\system32\msstdfmt.dll"

exit


